/*
 * cal-menurecordings.h: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <vdr/osdbase.h>
#include <vdr/recording.h>

class cCalMenuRecordingItem;

class cCalMenuRecordings : public cOsdMenu {
private:
  char *base;
  int level;
  int recordingsState;
  int helpKeys;
  void SetHelpKeys(void);
  void Set(bool Refresh = false);
  bool Open(bool OpenSubMenus = false);
  eOSState Play(void);
  eOSState Rewind(void);
  eOSState Delete(void);
  eOSState Info(void);
  eOSState Commands(eKeys Key = kNone);
protected:
  cRecording *GetRecording(cCalMenuRecordingItem *Item);
public:
  cCalMenuRecordings(const char *Base = NULL, int Level = 0, bool OpenSubMenus = false);
  ~cCalMenuRecordings();
  virtual eOSState ProcessKey(eKeys Key);
  };
